Google Maps 사진 API
Google Maps 장소에 첨부된 사진을 가져옵니다. engine=google_maps_photos를 설정하고 Google Maps API에서 얻은 data_id를 전달하여 구조화된 이미지 목록을 받으세요.
Endpoint
섹션 제목: “Endpoint” GET https://serp.shifter.io/v1?engine=google_maps_photos&api_key=YOUR_API_KEY
Parameters
섹션 제목: “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | 사용자의 SERP API 키 |
engine | string | yes | google_maps_photos여야 합니다 |
data_id | string | yes | 해당 장소의 Google Maps 데이터 ID |
category_id | string | no | 카테고리 ID로 사진 필터링 |
hl | string | no | 인터페이스 언어 코드 |
next_page_token | string | no | 다음 페이지를 가져오기 위한 이전 응답의 토큰 |
Example request
섹션 제목: “Example request”curl "https://serp.shifter.io/v1?engine=google_maps_photos&api_key=YOUR_API_KEY&data_id=0x4786c6ace45fe3bd:0x126d84580eedebe5"import requests
params = { "engine": "google_maps_photos", "api_key": "YOUR_API_KEY", "data_id": "0x4786c6ace45fe3bd:0x126d84580eedebe5",}r = requests.get("https://serp.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'google_maps_photos', api_key: 'YOUR_API_KEY', data_id: '0x4786c6ace45fe3bd:0x126d84580eedebe5',});const data = await (await fetch(url)).json();Example response
섹션 제목: “Example response”{ "search_parameters": { "engine": "google_maps_photos", "data_id": "0x4786c6ace45fe3bd:0x126d84580eedebe5" }, "photos": [ { "image": "https://lh5.googleusercontent.com/p/AF1QipN...", "thumbnail": "https://lh5.googleusercontent.com/p/AF1QipN...=w203-h114-k-no", "date": "2 months ago" } ], "serpapi_pagination": { "next_page_token": "CAESBkNnQUlBUQ..." }}